<div class="time-picker d-flex justify-content-between d-flex align-items-center">
    {{timeDisplay}}

    <span class="material-symbols-outlined pointer" (click)="onOpen()" [ngClass]="{'time-disable' : disable}">
        schedule
    </span>
    <div class="time" *ngIf="isOpen">


        <div class=" d-flex justify-content-center ">
            <div class="d-flex align-items-center">
                <div class="">

                    <button type="button" class="btn btn-light btn-time" (click)="onchengeTimr('h','u')">
                        <span class="material-symbols-outlined  ">
                            expand_less
                        </span>
                    </button>


                    <h3 class="mb-0">{{(hr < 10 ? '0' + hr :hr)}}</h3>
                            <button type="button" class="btn btn-light btn-time" (click)="onchengeTimr('h','d')">
                                <span class="material-symbols-outlined  ">
                                    expand_more
                                </span>
                            </button>
                </div>

                <div class="d-flex align-items-cente">
                    <h3> :</h3>
                </div>

                <div class="">
                    <button type="button" class="btn btn-light btn-time" (click)="onchengeTimr('m','u')">
                        <span class="material-symbols-outlined ">
                            expand_less
                        </span>
                    </button>

                    <h3 class="mb-0">{{ min < 10 ? '0' + min :min}}</h3>
                            <button type="button" class="btn btn-light btn-time" (click)="onchengeTimr('m','d')">
                                <span class="material-symbols-outlined  ">
                                    expand_more
                                </span>
                            </button>
                </div>
            </div>
            <br>
        </div>
        <div class=" d-flex justify-content-end">
            <button type="button" class="btn btn-light btn-time" (click)="onConfirm()">
                <span class="material-symbols-outlined  ">
                    done
                </span>
            </button>
        </div>

    </div>
</div>